Subject: bug#47813: 28.0.50; Confusing new calling convention for define-minor-mode

From: Michael Heerdegen <[email-masked]>
Date: Sat, 17 Apr 2021 01:53:28 +0200

Stefan Monnier <[email-masked]> writes:

> Hmm... the warning don't exactly say to delete those three elements, so
> I think it would help to understand how you got from "saw the warning"
> to "deleted all those nil's": that's the probably where we need to
> improve the doc.

What is currently the correct syntax if you can't provide any keywords
because your definition only has a body to specify?  That was the only
case that caused the problems, and I only fixed it by specifying :group
'micha (the group micha, German short form of "Michael", already exists
to quite other byte compiler warnings, and is otherwise redundant).

So that was what Emacs presented to me: a calling convention that told
to use (mode doc &rest body) which I did, and OTOH a non-decreasing
number of warnings to use keywords please , but I have none to specify,
so ... what?

Regards,

Michael.